
--This section exists so that all these variables do not get initialized if someone has Marauder loaded without being in a group
--Initialization occurs when the researcher sends a start message





function initializeParticipantSection()
	--SRL added, and will check SCinitializedParticipant for each function below, and return if 0
	--print("successfully initialized participant")
	MalVars.initializedParticipant = 1;
	MalVars.firstPollReceived = 0;
	MalVars.money = 0;
	MalVars.playerMoney = 0;
	MalVars.itemPush = 0;
	MalVars.merchantUpdate = 0;
	MalVars.count = 0;

	equippedItems = {};
	bagItemsBefore = {};
	bagItemsAfter = {};

	MalVars.p20 = RegisterAddonMessagePrefix("test");
	MalVars.p21 = RegisterAddonMessagePrefix("poll");
	--print("test registration: " .. tostring(MalVars.p20));
	--print("poll registration: " .. tostring(MalVars.p21));

	--Carried over from ScribeParticipant, but couldn't find these being used in Marauder
	--combat = ""
	--strDate = ""
	--spellType = ""
	--output = ""
	--playerTradeMoney=0
	--startLogging = 0
	--location = ""
	--hour = 0
	--minute = 0
	--mods = ""
	--chat = ""
	--guildchat = ""
	--localchat = ""
	--debugCounter = 0
	--cursorUpdate = 0
end


function MsendToResearcherLogger(output, msgType)
	--print("called MsendToResearcherLogger: " .. msgType .. " with message: " .. output);
	if MalVars.initializedParticipant == 0 then
		return
	end

	if msgType == "stats" then
		SendAddonMessage("stats", output, "PARTY")
		--print("MsendToResearcherLogger sent addon message stats to party");

	elseif msgType == "status" then
		SendAddonMessage("status", output, "PARTY")
		--print("MsendToResearcherLogger sent addon message status to party");

	elseif msgType == "bag" then
		SendAddonMessage("bag", output, "PARTY")
		--print("MsendToResearcherLogger sent addon message with prefix bag to PARTY");

	elseif msgType == "chatAndEvents" then
		SendAddonMessage("log", output, "PARTY")
		--print("MsendToResearcherLogger sent addon message with prefix log to PARTY");
	end
end
