function AddToQuestLog(who, qtitle, qtoptxt, qbottxt)
	--trace("launched AddToQuestLog for " .. MalVars.currQuest);
	--MQuestLogFrameNpcNameText:SetText(who); -- this frame is called something different in the Log
	MQLFrameScrollFrameScrollChildFrameTitle:SetText(qtitle);
	MQLFrameScrollFrameScrollChildFrameTopText:SetText(qtoptxt);
	MQLFrameScrollFrameScrollChildFrameHorizontalBreak:Show();
	MQLFrameScrollFrameScrollChildFrameObjectives:SetText("Objetivos");
	MQLFrameScrollFrameScrollChildFrameObjectives:Show();
	MQLFrameScrollFrameScrollChildFrameBottomText:SetText(qbottxt);
	MQLFrameScrollFrameScrollBar:SetValue(0);
	MQLLeftFrameScrollFrameScrollChildFrameTopText:SetText(qtitle)
	MQLLeftFrameScrollFrameScrollChildFrameGiverText:SetText("\(" .. who .. "\)");
end






function MQuestLogTitleButton_OnLoad(self)
	self:RegisterForClicks("LeftButtonUp", "RightButtonUp");
	self:RegisterEvent("UNIT_QUEST_LOG_CHANGED");

	-- anchor the check to the normal text now since we can't do it with the way it's currently setup in XML
	--local name = self:GetName();
	--self.check:SetPoint("LEFT", name.."NormalText", "RIGHT", 2, 0);
end

function MQuestLogTitleButton_OnEvent(self, event, ...)
end

function MQuestLogTitleButton_OnClick(self, button, down)
end

function MQuestLogTitleButton_OnEnter(self)
end

function MQuestLogTitleButton_OnLeave(self)
end

function MQuestLogDetailFrame_OnShow()
end

function MQuestLogDetailFrame_OnHide()
end

function MQuestLogScrollFrame_OnLoad(self)
	HybridScrollFrame_OnLoad(self);
	self.update = MQuestLog_Update;
	HybridScrollFrame_CreateButtons(self, "MQuestLogTitleButtonTemplate");
end

function MQuestLog_OnEvent()
end

function MQuestLog_OnLoad()
end

function MQuestLog_OnShow()
	--Points display -- not doing this any more, replace with group name display
	GroupNameFrame.name:SetText(MalVars.WhisperTxt.line0027 .. MalVars.groupName);
	if MalVars.merchClueTxt1 ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues1:SetText("Mercaderes: " .. MalVars.merchClueTxt1);
	end
	--Clues display
	if SCcode ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues2:SetText("Palabra Clave: " .. MalVars.code);
	end
	if MalVars.whoClue ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues3:SetText("\194\191QUIEN?: " .. MalVars.whoClue);
	end
	if MalVars.whatClue ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues4:SetText("\194\191QUE?: " .. MalVars.whatClue);
	end
	if MalVars.howClue ~= nil then
		MQLLeftFrameScrollFrameScrollChildFrameClues5:SetText("\194\191COMO?: " .. MalVars.howClue);
	end
	--Current quest display
	if MalVars.currQuest == "q0a" then
		--trace("match q0a, launch AddToQuestLog");
		AddToQuestLog(MalVars.Quests.q0a.Giver, MalVars.Quests.q0a.Title, MalVars.Quests.q0a.OffTop, MalVars.Quests.q0a.OffBot)
	elseif MalVars.currQuest == "q1a" then
		AddToQuestLog(MalVars.Quests.q1a.Giver, MalVars.Quests.q1a.Title, MalVars.Quests.q1a.OffTop, MalVars.Quests.q1a.OffBot)
	elseif MalVars.currQuest == "q1b" then
		AddToQuestLog(MalVars.Quests.q1b.Giver, MalVars.Quests.q1b.Title, MalVars.Quests.q1b.OffTop, MalVars.Quests.q1b.OffBot)
	elseif MalVars.currQuest == "q1c" then
		AddToQuestLog(MalVars.Quests.q1c.Giver, MalVars.Quests.q1c.Title, MalVars.Quests.q1c.OffTop, MalVars.Quests.q1c.OffBot)
	elseif MalVars.currQuest == "q1d" then
		AddToQuestLog(MalVars.Quests.q1d.Giver, MalVars.Quests.q1d.Title, MalVars.Quests.q1d.OffTop, MalVars.Quests.q1d.OffBot)
	elseif MalVars.currQuest == "q1e" then
		AddToQuestLog(MalVars.Quests.q1e.Giver, MalVars.Quests.q1e.Title, MalVars.Quests.q1e.OffTop, MalVars.Quests.q1e.OffBot)
	elseif MalVars.currQuest == "q1f" then
		AddToQuestLog(MalVars.Quests.q1f.Giver, MalVars.Quests.q1f.Title, MalVars.Quests.q1f.OffTop, MalVars.Quests.q1f.OffBot)
	elseif MalVars.currQuest == "q1g" then
		AddToQuestLog(MalVars.Quests.q1g.Giver, MalVars.Quests.q1g.Title, MalVars.Quests.q1g.OffTop, MalVars.Quests.q1g.OffBot)
	elseif MalVars.currQuest == "q1h" then
		AddToQuestLog(MalVars.Quests.q1h.Giver, MalVars.Quests.q1h.Title, MalVars.Quests.q1h.OffTop, MalVars.Quests.q1h.OffBot)
	elseif MalVars.currQuest == "q1i" then
		AddToQuestLog(MalVars.Quests.q1i.Giver, MalVars.Quests.q1i.Title, MalVars.Quests.q1i.OffTop, MalVars.Quests.q1i.OffBot)
	elseif MalVars.currQuest == "q2a" then
		AddToQuestLog(MalVars.Quests.q2a.Giver, MalVars.Quests.q2a.Title, MalVars.Quests.q2a.OffTop, MalVars.Quests.q2a.OffBot)
	elseif MalVars.currQuest == "q2b" then
		AddToQuestLog(MalVars.Quests.q2b.Giver, MalVars.Quests.q2b.Title, MalVars.Quests.q2b.OffTop, MalVars.Quests.q2b.OffBot)
	elseif MalVars.currQuest == "q2c" then
		AddToQuestLog(MalVars.Quests.q2c.Giver, MalVars.Quests.q2c.Title, MalVars.Quests.q2c.OffTop, MalVars.Quests.q2c.OffBot)
	elseif MalVars.currQuest == "q2d" then
		AddToQuestLog(MalVars.Quests.q2d.Giver, MalVars.Quests.q2d.Title, MalVars.Quests.q2d.OffTop, MalVars.Quests.q2d.OffBot)
	elseif MalVars.currQuest == "q2e" then
		AddToQuestLog(MalVars.Quests.q2e.Giver, MalVars.Quests.q2e.Title, MalVars.Quests.q2e.OffTop, MalVars.Quests.q2e.OffBot)
	elseif MalVars.currQuest == "q2f" then
		AddToQuestLog(MalVars.Quests.q2f.Giver, MalVars.Quests.q2f.Title, MalVars.Quests.q2f.OffTop, MalVars.Quests.q2f.OffBot)
	elseif MalVars.currQuest == "q2g" then
		AddToQuestLog(MalVars.Quests.q2g.Giver, MalVars.Quests.q2g.Title, MalVars.Quests.q2g.OffTop, MalVars.Quests.q2g.OffBot)
	elseif MalVars.currQuest == "q3a" then
		AddToQuestLog(MalVars.Quests.q3a.Giver, MalVars.Quests.q3a.Title, MalVars.Quests.q3a.OffTop, MalVars.Quests.q3a.OffBot)
	elseif MalVars.currQuest == "q3b" then
		AddToQuestLog(MalVars.Quests.q3b.Giver, MalVars.Quests.q3b.Title, MalVars.Quests.q3b.OffTop, MalVars.Quests.q3b.OffBot)
	elseif MalVars.currQuest == "q3c" then
		AddToQuestLog(MalVars.Quests.q3c.Giver, MalVars.Quests.q3c.Title, MalVars.Quests.q3c.OffTop, MalVars.Quests.q3c.OffBot)
	elseif MalVars.currQuest == "q3d" then
		AddToQuestLog(MalVars.Quests.q3d.Giver, MalVars.Quests.q3d.Title, MalVars.Quests.q3d.OffTop, MalVars.Quests.q3d.OffBot)
	elseif MalVars.currQuest == "q3e" then
		AddToQuestLog(MalVars.Quests.q3e.Giver, MalVars.Quests.q3e.Title, MalVars.Quests.q3e.OffTop, MalVars.Quests.q3e.OffBot)
	elseif MalVars.currQuest == "q4a" then
		AddToQuestLog(MalVars.Quests.q4a.Giver, MalVars.Quests.q4a.Title, MalVars.Quests.q4a.OffTop, MalVars.Quests.q4a.OffBot)
	end
	--trace("reached the end of the if loop");
end

function MQuestLog_OnHide()
end

function MQuestLog_OnUpdate()
end
