--Text for populating quest windows
--Variables are interpolated where special characters or faction-specific names require
	--small a with accent: c3 a1 = 			\195\161
	--small e with accent: c3 a9 = 			\195\169
	--small i with accent: c3 ad = 			\195\173
	--small o with accent: c3 b3 = 			\195\179
	--small u with accent: c3 ba = 			\195\186
	--Capital a with accent: c3 81 =		\195\129
	--Capital e with accent: c3 89 =		\195\137
	--Capital i with accent: c3 8d =		\195\141
	--Capital o with accent: c3 93 =		\195\147
	--Capital u with accent: c3 9a =		\195\154
	--Tilde n: c3 b1 =						\195\177
	--inverted exclamation point: c2 a1 = 	\194\161
	--inverted question mark: c2 bf = 		\194\191
	--if need caps or other characters, see http://www.utf8-chartable.de/

--temp for testing this file only
--MalVars = {}
--MalVars.nAxe = "temp1";
--MalVars.nAla = "temp2";
--MalVars.nCal = "temp3";
--MalVars.nIzu = "temp4";
--MalVars.nSed = "temp6";



--NOTE -- if you want to make edits/changes, please submit snippets directly to Steve, rather than saving an edited version
-- of the entire document.
MalVars.Quests = {}
--########################
-- Quest 0a
--########################
MalVars.Quests.q0a = {
Giver = MalVars.nAla,
Title = "El Destino de Dalaran",
OffTop = "Esto est\195\161 peor que navegar a palo, pero no se preocupen que yo los ayudar\195\169 durante el camino con informaci\195\179n e instrucciones.\n\nBuscar cualquier amenaza a Dalaran es nuestro trabajo en el Protectorado Picaroon. Ustedes van a descubrir la motivos de los Maleantes y salvar a Dalaran.\n\n\194\161Manos a la obra!",
OffBot = "Investiguen a los Maleantes Malvas. Reporten: Qui\195\169nes son, Qu\195\169 est\195\161n planeando y C\195\179mo detenerlos.",
}

--########################
-- Quest 1 Section Title
--########################
MalVars.Quests.q1ST = {
Title = "\194\191QUI\195\137NES SON?";
}

--########################
-- Quest 1a
--########################
MalVars.Quests.q1a = {
Giver = MalVars.nLib,
Title = "La Encomienda del Bibliotecario",
OffTop = "\194\161Mucho gusto en conocerlos! El Protectorado Picaroon realmente los necesita.\n\nAcabo de pedirle al Marinero " .. MalVars.nAxe.. " que registre cualquier comportamiento sospechoso en Dalaran.\n\nEse enano les dar\195\161 un buen lugar d\195\179nde comenzar su b\195\186squeda.\n\nGeneralmente su puesto es en la Plaza Tejerruna o Runeweaver.",
OffBot = "El Bibliotecario Belleford quiere que hablen con "  .. MalVars.nAxe .. " en la Plaza Tejerruna en Dalaran.",
CompTop = "S\195\173, yo soy " .. MalVars.nAxe.. ".\n\nSeguro que he visto algunos tipos sospechosos por aqu\195\173.\n\nAunque ahora estoy pensando m\195\161s en la cena que en esos hampones.",
}

--########################
-- Quest 1b
--########################

MalVars.Quests.q1b = {
Giver = MalVars.nAxe,
Title = "Bichos para la Cena",
OffTop = "Seguro, les puedo decir qu\195\169 es lo que he visto. Pero no trabajo por nada. \194\191Qu\195\169 tan valiosa es esta informaci\195\179n para ustedes?\n\nLes puedo decir qu\195\169 tanto vale para mi.\n\nConejos.\n\nO ardillas, supongo. No me vean as\195\173 soy un tipo sensible, arr.\n\nS\195\179lo d\195\169jenlas donde los maten.  Los pueden encontrar por los jardines de Dalaran.",
OffBot = "Maten 3 conejos o ardillas para " .. MalVars.nAxe .. ".",
CompTop = "<gru\195\177e> Duros como suela de zapato, \194\191no?\n\nEn mis tiempos los conejos eran tres veces m\195\161s grandes.\n\nNo les miento, arr.",
}

--########################
-- Quest 1c
--########################

MalVars.Quests.q1c = {
Giver = MalVars.nAxe,
Title = "Las habladur\195\173as por el Pueblo",
OffTop = "He visto a algunos tipos raros por aqu\195\173 portando unos tabardos p\195\186rpuras. Necesitan averiguar cualquier chisme sobre ellos.\n\nMuestren su anillo a los encargados de las tiendas cerca de la Palaza Tejerruna para que compartan qu\195\169 han o\195\173do.\n\nCada uno les dir\195\161 lo que sabe a s\195\179lo uno de ustedes.",
OffBot = "Presionen su anillo junto a los encargados de la tienda en Obras Asombrosas, Hilos del Destino y en Sal\195\179n Juego de Manos o Ledgerdemain para escuchar los rumores.",
CompTop = "\194\161Saludos marineros! Excelente trabajo.\n\nSon mejor de lo que pens\195\169 para recopilar informaci\195\179n de esos buenos para nada.\n\n\194\191Seguro no utilizaron alguna t\195\161ctica inhumana?",
}

--########################
-- Quest 1d
--########################
-- need to be aladria giving and completing
MalVars.Quests.q1d = {
Giver = MalVars.nAla,
Title = "Se\195\177al de Problemas",
OffTop = "Deben compartir la informaci\195\179n que esos chismosos les dieron a cada uno de ustedes.\n\nCombinen su informaci\195\179n para poder determitar qu\195\169 imagen est\195\161 bordada en el tabardo de los Maleantes Malvas.\n\nArr.",
OffBot = MalVars.nAla .. " quiere que se pongan de acuerdo en cu\195\161l s\195\173mbolo pertenece a los personajes sospechosos.\n\nPresionen el s\195\173mbolo correcto para votar.",
CompTop = "\194\191La Bobina de Tesla?\n\n\194\161Maldici\195\179n! Deb\195\173 saber que esos cretinos ten\195\173an algo que ver con rayos y cosas as\195\173.\n\nTendremos que informar a nuestros operativos.",
}

--########################
-- Quest 1e
--########################

MalVars.Quests.q1e = {
Giver = MalVars.nAla,
Title = "Sombras Oscuras",
OffTop = "Marineros, deben informar a "   .. MalVars.nAxe .. " acerca del s\195\173mbolo en el tabardo.\n\nHa estado observando a esos Maleantes, y esto ayudar\195\161 a vigilarlos mejor.",
OffBot = "Re\195\186nanse con " .. MalVars.nAxe ..  " detr\195\161s del cementerio cerca de La Ciudadela Violeta.",
CompTop = "\194\161Arr, el tabardo con la Bobina de Tesla!\n\nSab\195\173a que hab\195\173a algo sospechoso acerca de ese tabardo.\n\nAhora podr\195\169 vigilarlos mejor, gracias a ustedes.",
}

--########################
-- Quest 1f
--########################

MalVars.Quests.q1f = {
Giver = MalVars.nAla,
Title = "Palabras Operativas",
OffTop = "Excelente trabajo. Ahora busquen a dos de nuestros operativos secretos, Rhudoh y Azukk en la Forja del Destino.\n\nNos informaron que necesitan ayuda con una entrega especial.\n\nAy\195\186denlos, pero \194\161tengan cuidado! No queremos que arruinen su frente.\n\nEs posible que pidan la palabra clave \"PANTOQUE\" como una precauci\195\179n extra.",
OffBot = "Re\195\186nanse con Rhudoh y Azukk en la Forja del Destino en el Mercado de Magos.",
CompTop = "Psst. Aqu\195\173.\n\n\194\191Tienen la palabra clave \"PANTOQUE\"?\n\n<Azukk interrumpe>  \194\161Rhudoh! \194\161Se supone que ellos te la tienen que decir!\n\n<Rhudoh contin\195\186a> \194\161Shhh! \194\161Act\195\186a naturalmente!\n\nEstamos bien infiltrados clandestinamente.",
}

--########################
-- Quest 1g
--########################

MalVars.Quests.q1g = {
Giver = MalVars.nRhu,
Title = "Caliente y Pesado",
OffTop = "Necesitamos algo de ayuda marineros.\n\nNecesitamos barras de cobre, pero no podemos hacerlas sin descubrirnos.\n\nLl\195\169vense este mineral de cobre a Prospecciones Todo lo que brilla y C\195\173a. aqu\195\173 junto y f\195\186ndanlo." .. MalVars.nAla .. " les dejar\195\161 saber a d\195\179nde llevarlo cuando terminen.",
OffBot = "Hagan que un miembro de su grupo se entrene como Minero y forje una barra de cobre.",
CompTop = "Bien hecho compa\195\177eros.\n\nHemos estado muy preocupados por Rhudoh y Azukk, pero estoy segura de que no expusieron su identidad.",
}

--########################
-- Quest 1h
--########################

MalVars.Quests.q1h = {
Giver = MalVars.nAla,
Title = "Entrega Encantada",
OffTop = "Entreguen esta barra de cobre a nuestro operativo " .. MalVars.nCal .. " en el Sal\195\179n P\195\186rpura en La Ciudadela Violeta.\n\nNunca sabemos realmente si es leal a la causa o no, pero recibe bastantes monedas para poder encantar esa barra de cobre para nosotros.\n\nA lo mejor hasta tiene m\195\161s informaci\195\179n acerca de los Maleantes para ustedes.",
OffBot = "Intercambien la barra con " .. MalVars.nCal .. " en el Sal\195\179n P\195\186rpura en la cima de La Cuidadela Violeta.",
CompTop = "\194\191Debo estar usando mis vastos poderes en esta tarea tan trivial?\n\nNadie me respeta.\n\nEst\195\161 bien, la encantar\195\169 y se la dar\195\169 al Protectorado cuando tenga tiempo.\n\nAh, y supongo que querr\195\161n saber que eso Maleantes se hacen llamar la Sociedad Mec\195\161nica Ninja.",
}

--########################
-- Quest 1i
--########################

MalVars.Quests.q1i = {
Giver = MalVars.nAla,
Title = "Primer Reporte",
OffTop = "\194\161Buen trabajo grumetes!\n\nAhora reporten sus hallazgos para que pueda d\195\161rselos al resto del Protectorado Picaroon.\n\n\194\191Qui\195\169nes son estos Maleantes malvas?",
OffBot = "En chat de grupo dile a " .. MalVars.nAla .. " qu\195\169 es lo que saben acerca de la identidad del enemigo hasta ahora.",
CompTop = "\194\161Maldici\195\179n! \194\191Esos Maleantes malvas se hacen llamar La Sociedad Mec\195\161nica Ninja?\n\nHe o\195\173do mucho de esos malditos.\n\nNecesitamos saber exactamente qu\195\169 se traen entre manos.\n\nSigan investigando marineros.",
}

--########################
-- Quest 2 Section Title
--########################
MalVars.Quests.q2ST = {
Title = "\194\191QU\195\137 EST\195\129N PLANEANDO?";
}

--########################
-- Quest 2a
--########################

MalVars.Quests.q2a = {
Giver = MalVars.nAla,
Title = "Haciendo un Trato",
OffTop = "Necesitamos saber m\195\161s sobre La Sociedad Mec\195\161nica Ninja.\n\nVan a tener que arriesgarse y hablar con Rhudoh una vez m\195\161s.\n\nPero primero obtengan la nueva palabra clave de "  .. MalVars.nCal .. ".\n\nLa cambiamos para mantener la identidad de Rhudoh secreta.",
OffBot = "Preg\195\186ntenle a "  .. MalVars.nCal ..  " la nueva palabra clave, y la ubicaci\195\179n de Rhudoh.",
CompTop = "\194\191La nueva palabra clave? Ni me molest\195\169 en descifrarla. Ten\195\173a mejores cosas qu\195\169 hacer.\n\nUtilicen esa nota y desc\195\173frenla ustedes.\n\nYo no tengo tiempo para esto.",
}

--########################
-- Quest 2b
--########################
--The solution is actually greeted by an overhead message, between Off and Comp

MalVars.Quests.q2b = {
Giver = MalVars.nAla,
Title = "Descifrando C\195\179digos",
OffTop = "Descifren este c\195\179digo y despu\195\169s vayan a buscar a Rhudoh y a Azukk.\n\nEl c\195\179digo tiene cuatro letras, pero no lo podemos compartir.\n\nNo creo que tengan ning\195\186n problema descifrando el mensaje.",
OffBot = MalVars.nAla .. " necesita que solucionen la adivinanza e identifiquen el c\195\179digo de 4 palabras.",
CompTop = "Excelente trabajo. Ahora ya estn listos para Azukk y Rhudoh.\n\n\194\161Aseg\195\186rense de mantener la palabra en secreto!",
}

--########################
-- Quest 2c
--########################

MalVars.Quests.q2c = {
Giver = MalVars.nAzu,
Title = "La Vaca Lleg\195\179 a Casa",
OffTop = "Puede ser que Rhudoh nos pueda decir que se traen los Maleantes, me han dicho que tiene ojos de \195\161guila.\n\nLa \195\186ltima vez que los vieron fue en La Taberna de los Cuervos en las cloacas de los Bajos Fondos o Underbelly.",
OffBot = MalVars.nAla .. " quiere que encuentren a Azukk y a Rhudoh en La Taberna de los Cuervos o Cantrip & Crows en los Bajos Fondos.",
CompTop = "En efecto, esa es la palabra clave.\n\nPero no puedo ayudarlos. <sniff... sniff> \194\191Qu\195\169 no ven?\n\nMi querido Rhudoh est\195\161 muerto despu\195\169s de ser descubierto por la maldita Sociedad Mec\195\161nica Ninja.\n\nSu identidad secreta fue expuesta. No puedo imaginarme c\195\179mo...\n\nArr, <sniff>",
}

--########################
-- Quest 2d
--########################

MalVars.Quests.q2d = {
Giver = MalVars.nAzu,
Title = "Gesto de Honor",
OffTop = "Mi Rhudoh era conocido por su gran fuerza y la costumbre de presumirla, as\195\173 como su afici\195\179n por la Cerveza de Trueno.\n\nUn verdadero pirata.\n\nNo les dir\195\169 nada hasta que hayan honrado su esp\195\173rituo con un gesto adecuado.",
OffBot = "Azukk quiere que determinen qu\195\169 gesto (emote) honrar\195\173a m\195\161s a Rhudoh, y que lo realicen al mismo tiempo.",
CompTop = "Ah, eso lo honra. \194\161Gracias!\n\nDe todas maneras no me imagino c\195\179mo es que fue descubierto.\n\n\194\191Ustedes no tuvieron nada que ver con eso, verdad?",
}

--########################
-- Quest 2e
--########################

--First part is an "Intro" quest window, with the exit button labeled "Continue" (only top, no objectives or bottom half)
--Second part is the "Offer" quest window, with the exit button labeled "Accept"
--Third part is the "Completion" quest window, with the exit button labeled "Complete"

MalVars.Quests.q2e = {
Giver = MalVars.nJin,
Title = "Malhechores en las Cloacas",
OffTop = "En cuanto a la Sociedad Mec\195\161nica Ninja, escuch\195\169 que estaban construyendo algo para derribar a Dalaran del cielo. Se llama algo as\195\173 como Hadu-algo.\n\nEncuentren a Jindall... \195\169l sabe todo lo que pasa en la cubierta inferior de la ciudad.\n\nCreo que se esconde en el C\195\173rculo de las Voluntades.",
OffBot = "Azukk quiere que encuentren a Jindall en el C\195\173rculo de las Voluntades en las cloacas de los Bajos Fondos o Underbelly.",
CompTop = "\194\191Es a m\195\173 a qui\195\169n buscan? Pues ya me encontraron.\n\n\194\191Pero porqu\195\169 debo ayudarlos a ustedes grumetes?\n\n\194\191Son realmente Picaroons que valen la pena?",
}

--########################
-- Quest 2f
--########################

MalVars.Quests.q2f = {
Giver = MalVars.nAla,
Title = "Huela a Torgugas... er, Ratas",
IntroTop = "<Jindall dice>\n\nPues empiecen con la sgrandes, aqu\195\173 est\195\161n.\n\n<Apriloneil lo interrumpe>\n\n\194\161No le hagan caso a este pelmazo!\n\nNecesito a estas tortugas m\195\161gicas para nuestros planes sec...\n\nEh, m\195\161s bien quiero decir que estas tortugas son las guardianas de las cloacas.\n\n\194\161No las maten!",
OffTop = "<Jindall replica>\n\n\194\161Caramba! Siempre los sensibleros vienen de metiches donde no les incumbe.\n\n\194\161De acuerdo! Maten ratas y ranas en lugar de tortugas.\n\n\194\191No cre\195\173an que iban a recoger florecitas para probarse a s\195\173 mismos verdad? \194\161Ja, ja, ja!",
OffBot = "Jindall quiere que maten a 2 ratas y a 2 ranas.",
CompTop = "\194\191Las mataron a todas?\n\nAh, s\195\173. Quiero decir, est\195\161 bien. Son miembros dignos del Protectorado, etc. etc.\n\nEsos cretinos tienen como l\195\173der a un archip\195\161mpano que se llama " .. MalVars.nIzu .. ".\n\nTambi\195\169n les puedo decir que la Sociedad Mec\195\161nica Ninja est\195\161 construyendo una m\195\161quina que har\195\161 que Dalaran se caiga del cielo.\n\nPero no s\195\169 c\195\179mo funciona.",

}

--########################
-- Quest 2g
--########################

MalVars.Quests.q2g = {
Giver = MalVars.nAla,
Title = "Segundo Reporte",
OffTop = "Ahora reporten sus hallazgo para poder comunic\195\161rselos al Protectorado Picaroon.\n\n\194\191Qu\195\169 est\195\161n planeando estas ratas de alcantarilla?\n\nUna vez que me den su reporte, pueden hablar con Apriloneil para que les d\195\169 m\195\161s informaci\195\179n.",
OffBot = "En chat de grupo d\195\173ganle a " .. MalVars.nAla .. " lo que saben acerca de los planes del enemigo.",
CompTop = "\194\161Una m\195\161quina para derribar a Dalaran es realmente grave!\n\nAhora tenemos que investigar qu\195\169 puede hacer el Protectorado Picaroon para evitar esta desgracia.\n\nA ver si Apriloneil les puede decir a d\195\179nde ir a continuaci\195\179n. Generalmente se encuentra hablando con esas tortugas extra\195\177as.",
}

--########################
-- Quest 3 Section Title
--########################
MalVars.Quests.q3ST = {
Title = "\194\191C\195\147MO DETENERLOS?";
}

--########################
-- Quest 3a
--########################

MalVars.Quests.q3a = {
Giver = MalVars.nApr,
Title = "Salir a Golpes",
OffTop = "Ese es un anillo muy bonito y todo, pero todos se ven un poco blandos. \194\191Qu\195\169 les parece si me demuestran realmente de qu\195\169 est\195\161n hechos y pelean contra un Campe\195\179n de las Cloacas?\n\nCreo que no hay ninguno por aqu\195\173... tendr\195\161n que pelear entre ustedes.\n\nCada uno debe ganar un duelo.\n\n\194\161\195\129nden pues! A menos que prefieran salir corriendo como chiquillos. \194\161Ja, Ja!",
OffBot = "Apriloneil requiere que cada miembro de su grupo gane un duelo.",
CompTop = "\194\191Eso fue una pelea?\n\n\194\191Qu\195\169 apenas son nivel 1?\n\n\194\161Vayan a presumirle al espejo rufianes vanagloriosos!\n\nPero supongo que demostraron su valor lo suficiente.",
}

--########################
-- Quest 3b
--########################

MalVars.Quests.q3b = {
Giver = MalVars.nApr,
Title = "Todo Gastado",
OffTop = "Vi a uno de esos Maleantes con el Mago acabado la otra noche.\n\nSi pueden hacer que el mago hable, quiz\195\161 les pueda decir algo m\195\161s.\n\nGeneralmente toma sus siestas en los t\195\186neles al nor-oeste de aqu\195\173.\n\nAhora me voy porque tengo que atender a unos verdaderos h\195\169roes.",
OffBot = "Apriloneil les dice que encuentren al Mago acabado en las cloacas de Dalaran.",
CompTop = "\194\161Lo han encontrado!\n\n\194\161Arr, est\195\161 inconsciente otra vez!\n\nEs un viejo sabio, pero demasiado aficionado al Kungaloosh.\n\nLa \195\186nica manera de comunicarse con \195\169l es a trav\195\169s de sus sue\195\177os intoxicados.",
}

--########################
-- Quest 3c
--########################

MalVars.Quests.q3c = {
Giver = MalVars.nAla,
Title = "Liberen al Fantasma",
OffTop = "Hablen con el Mago en sus sue\195\177os.\n\nNo, sin tomar Kungaloosh. No servimos esa porquer\195\173a. Y el ron ya se acab\195\179.\n\nPara lograrlo deben morir.\n\nSacrifiquen a un miembro de su grupo para crear una conexi\195\179n con el mundo de los esp\195\173ritus. El horrible tibur\195\179n en el Mercado Negro les puede \"ayudar\".\n\nLuego presionen su anillo junto al mago para canalizar su mensaje.",
OffBot = "Sacrifiquen a un jugador en el Mercado Negro y despu\195\169s hablen con el mago otra vez.",
CompTop = "<Reciben un hechizo del Mago acabado>\n\n<El Mago balbucea>\n\n\194\191Pero por qu\195\169 se termin\195\179 el ron?\n\n<" ..MalVars.nAla .. "> \194\161caray, Lograron que hablara el borracho ese!",
}

--########################
-- Quest 3d
--########################

MalVars.Quests.q3d = {
Giver = MalVars.nAla,
Title = "Tercer Reporte",
OffTop = "Reporten sus hallazgos para poder regresar al Bosque Canto de Cristal.\n\n\194\191Qu\195\169 necesitamos para detener el complot?",
OffBot = "En chat de grupo d\195\173ganle a " .. MalVars.nAla .. " qu\195\169 han averiguado sobre c\195\179mo detener al enemigo.",
CompTop = "\194\161Reporte Registrado!\n\nAhora que sabemos que la m\195\161quina funciona con magia, podremos usar magia para detenerla.\n\nEse hechizo que les dio el mago es todo lo que necesitamos para frustrar sus planes de una vez por todas.\n\nEste hechizo detendr\195\161 a " .. MalVars.nIzu ..  " y tambi\195\169n a la m\195\161quina.\n\nNuestros sacrificios no ser\195\161n en vano.",
}

--########################
-- Quest 3e
--########################

MalVars.Quests.q3e = {
Giver = MalVars.nAla,
Title = "Entregando la Mercanc\195\173a",
OffTop = "El Protectorado Picaroon no hubiera podido descubrir los nefastos planes del enemigo sin su ayuda.\n\nEl enemigo no sabr\195\161 ni por d\195\179nde le pegaron ahora que sabemos c\195\179mo combatir su m\195\161quina mal\195\169vola y a su l\195\173der " .. MalVars.nIzu .. ".\n\nRecuperen sus cuerpos y vayan de regreso al cristal de teletransporte en la orilla de la Plaza Tejerrunas.\n\nHan realizado un gran servicio para Dalaran.",
OffBot = MalVars.nAla .. " quiere que la vean en el Bosque Canto de Cristal para entregarle el hechizo.",
CompTop = "El hechizo har\195\161 que esos perros con escorbuto tiemblen hasta los huesos.\n\nEl Protectorado Picaroon les agradece por su trabajo y dedicaci\195\179n.\n\nQue siempre tengan el viento en sus velas y mares tranquilos.",
}

--########################
-- Quest 4 Section Title
--########################
MalVars.Quests.q4ST = {
Title = "FINAL SHOWDOWN";
}

--########################
-- Quest 4a
--########################

MalVars.Quests.q4a = {
Giver = MalVars.nIzu,
Title = "Mu\195\169strenles Qui\195\169n es el Jefe",
OffTop = "\194\161Picaroons! \194\161Son unos marineros de agua dulce! \194\191Pensaban que pod\195\173an ser m\195\161s listos que la Sociedad Mec\195\161nica Nija?\n\n\194\161JA! Ni si quiera estos peque\195\177os ratoncitos que tienen haciendo su trabajo sucio pueden escapar nuestra astucia.\n\n\194\161Tenemos ojos por todos lados!\n\n\194\161Y ahora mis seguidores se comer\195\161n a sus compinches para la merienda, seguidos por una copa de las l\195\161grimas de Alextraza! \194\161Hadouken!",
OffBot = "Derroten al l\195\173der de la Sociedad Mec\195\161nica Ninja, " .. MalVars.nIzu .. ".",
CompTop = "\194\161Arr, el trabajo sucio ha terminado. Esta fue una victoria \195\169pica!\n\nHan servido bien al Protectorado Picaroon y a Dalaran.\n\nMuchas gracias. Quiz\195\161 hasta yo subestim\195\169 su valent\195\173a.\n\nSu bravura ser\195\161 tema de f\195\161bulas y baladas... los j\195\179venes que salvaron a Dalar\195\161n no ser\195\161n olvidados.",
}

--########################
-- Quest 4b
--########################
--Not tracked; just here to populate the post-quest leadership voting screen
--PLEASE no changes to this one, as it will throw off the spacing of the ranking buttons and text

MalVars.Quests.q4b = {
Giver = MalVars.nSed,
Title = "Por favor Voten",
VoteTop = "Por favor identifiquen qu\195\169 miembro de su grupo hizo mejor las funciones de l\195\173der.\n\nMarquen a la persona que se desempe\195\177\195\179 MAS como l\195\173der como 1,\n\n... el SEGUNDO como 2... Y as\195\173.\n\nIncl\195\186yanse a ustedes mismos en la clasificaci\195\179n.",

}



--########################
-- Other display text
--########################

--This is the repository for text strings to be used to populate the overhead window and any chat text...
--Naming scheme should allow for insertion, but not bother to be current-quest specific: ScreenTxt.line0010, ScreenTxt.line0020, etc.
-- Similarly, WhisperTxt.0010, WhisperTxt.0020
--Use double brackets rather than double quotes, to allow quotes and other special characters within the strings

MalVars.ScreenTxt = {
line0000 = "This is a really long text string to test how much text can fit in the window, and look at things like wrapping as well as interference with on-screen graphics like the book and the ring and the troll pirate head for the logger... you get the idea blah blah blah...",
line0010 = "<Un eco extra\195\177o se escucha en la distancia.\nSi no lo pudieron escuchar, apaguen su m\195\186sica, suban el volumen de sus sonidos y hagan click otra vez...>",
line0011a = "\194\161Saludos marinero! Yo soy ",
line0011b = "... Yo estar\195\169 al mando de este barco. \194\191De Acuerdo?",
line0012 = "El Protectorado Picaroon esta complacido de tenerlos a bordo grumetes.",
line0013 = "Eso se los puedo decir en una visi\195\179n que canalizar\195\169 a trav\195\169s de su anillo...",
line0014 = "Una voz extra\195\177a grita, \"\194\161Por los Maleantes!\"",
line0015 = "Querido Investigador, la b\195\186squeda ha empezado...",
line0020 = "<Parece que el Bibliotecario Bellford tiene algo que decirles.\nLes hace una se\195\177al para que se acerquen.>",
line0030 = "Mis disculpas marinero, tengo \195\179rdenes estrictas de hablar cuando est\195\169 todo el grupo completo.",
line0035 = "Mascota de ",
line0036 = " mat\195\179 a un conejo ",
line0037 = " mat\195\179 a una adrilla ",
line0040 = "\194\191Ya mataron a esos conejos y ardillas?",
line0050 = "Si est\195\161n tan ciegos para poder encontrar esas tiendas, ni me pregunten.\n\194\161Para eso est\195\161n los guardias!",
line0055 = "Ah claro, O\195\173 a uno de ellos diciendo " .. [['Nosotros preferimos la ]] .. "simetr\195\173a en todas las cosas" .. [[.']],
line0056 = "Ah claro, si me log preguntan, ese tabardo deja muy claro que tienen dominio mec\195\161nico sobre los cielos",
line0057 = "Definitivamente, el tabardo muestra el poder del fuego y el rel\195\161mpago",
line0060 = "<Jepetto>: Lo siento pero no les puedo dar m\195\161s informaci\195\179n.",
line0065 = "Simetr\195\173a",
line0066 = "Dominio mec\195\161nico sobre los cielos",
line0067 = "El poder del fuego y el rel\195\161mpago",
line0070 = "<Karandonna>: Lo siento pero no les puedo dar m\195\161s informaci\195\179n.",
line0080 = "<Amisi>: Lo siento pero no les puedo dar m\195\161s informaci\195\179n.",
line0081 = " le susurr\195\179 una pista a ",
line0082 = ". \194\161Todas las pistas han sido reunidas!",
line0090 = "nobody to gather votes from...",
line0091 = "\194\161Has tenido \195\169xito!",
line0093 = "Hasta ahorita van bien, pero todo el grupo tiene que participar.",
line0095 = "Negativo marineros. Todo el grupo debe estar de acuerdo con el s\195\173mbolo correcto. Vuelvan a intentarlo.",
line0097 = "Reporten sus hallazgos: d\195\173ganle a " .. MalVars.nAla .. " el s\195\173mbolo y el nombre que los Maleantes est\195\161n utilizando.",
line0098 = " ha forjado una barra de cobre!",
line0100 = MalVars.nCal .. " dice: \194\191Qu\195\169 es lo que quieren? \194\191Est\195\161n aqu\195\173 para darme algo?",
line0105 = MalVars.nCal .. " dice: \194\191Ahora quieren que sea una simple mensajera?\nMe van a tener que dar una buena cantidad de plata para que valga la pena...\nCinco piezas de plata ser\195\161n suficientes.",
line0107 = MalVars.nAla .. " dice: \194\191Antoidas? \194\161Bien hecho!\n\194\161Ahora pueden ir a encontrar a ese pirata Azukk! S\195\179lo vean su mapa de la ciudad...",
line0107a = "\194\161Tu! Dime la palabra clave o no dir\195\169 nada.",
line0108 = "S\195\169 que tienen buenas intenciones, pero no es correcto.",
line0108a = "\194\161Ea!  Flexionar sus m\195\186sculos honra a mi querido Rhudoh.\nAhora hagan que todos sus compa\195\177eros lo hagan al mismo tiempo.",
line0109 = "Gracias otra vez por honrar a Rhudoh.",
line0109a = "\194\161Empiecen a pelear!",
line0109b = "<Jindall dice> Bueno... quiz\195\161 si puedan servir de algo despu\195\169s de todo.\nAy\195\186denme a matar a estas malditas tortugas. S\195\173ganme.",
line0110 = "Vayan a buscar al mago, tengo que hacerme cargo de estas tortugas.",
line0111 = " mat\195\179 a una rata ",
line0112 = " mat\195\179 a una rana ",
line0113 = " gan\195\179 un duelo ",
line0115 = " se avent\195\179 al tibur\195\179n y ha muerto!",
line0125 = "\194\161" .. MalVars.nIzu .. " ruge un grito de guerra desde afuera de la burbuja rosa!",
line0130 = MalVars.nAla .. " grita: \194\191Qu\195\169 traici\195\179n es \195\169sta?",
line0140 = MalVars.nAla .. " grita: \194\161Cogotudos malditos! \194\161Derroten a esos marineros de agua dulce!\nDeber\195\173an estar refundidos en el calabozo de Davey Jones.\n\194\161Ataquen!",
line0145 = "\194\161La pelea no ha terminado " .. MalVars.nIzu .. " ha aparecido finalmente!\nNo es el momento de correr cobardemente. \194\161Yo les ayudar\195\169 a derrotarlo!",
line0200 = "Hemos estado manteniendo las cosas tranquilas aqu\195\173 marineros. Todo su grupo debe estar aqu\195\173 antes de que pueda hablar con ustedes.",
line0210 = "No puedo hablar con ustedes a menos que todo su grupo est\195\169 aqu\195\173.",
line0215 = "Por favor asignen un rango\na cada miembro de su grupo\(sin duplicados)",
line0220 = "Final de la Sesi\195\179n...",
}

MalVars.WhisperTxt = {
line0010 = "something",
line0015 = "|cffff8000Maleante|r: inicializado para la misi\195\179n por ",
line0016 = "|cffff8000Maleante|r: Maleante error 999",
line0020 = "|cffff8000Maleante|r: v.",
line0025 = "|cffff8000Maleante|r: started sending position logs to ",
line0027 = "|cffffcc00Nombre de Grupo: |r",
line0030 = "|cffff8000El Protectorado Picaroon le da la bienvenida al grupo |r",
line0081 = "Les puedo decir que el grupo que buscan se llama la Sociedad Mec\195\161nica Ninja.",
line0091 = "Esos cretinos tienen como l\195\173der a un archip\195\161mpano que se llama " .. MalVars.nIzu .. ". Les puedo decir que la Sociedad Mec\195\161nica Ninja est\195\161 construyendo una m\195\161quina que har\195\161 que Dalaran se caiga del cielo.",
line0101 = "Ese hechizo que les dio el mago es todo lo que necesitamos para frustrar sus planes de una vez por todas.",
}

MalVars.TabardNames = {
t01 = "Conejo",
t02 = "Hachas Cruzadas",
t03 = "Reloj de Bolsillo",
t04 = "Dirigible",
t05 = "Engranes",
t06 = "\195\129guila Doble",
t07 = "Rel\195\161mpagos",
t08 = "Bobina de Tesla",
t09 = "Sol Naciente",
t10 = "Barco de vela Doble",
t11 = "Drag\195\179n Doble",
t12 = "Bracero",
}

MalVars.TabardEcho = {
vote01 = "Votaste por el tabardo 1 (Conejo)",
vote02 = "Votaste por el tabardo 2 (Hachas Cruzadas)",
vote03 = "Votaste por el tabardo 3 (Reloj de Bolsillo)",
vote04 = "Votaste por el tabardo 4 (Dirigible)",
vote05 = "Votaste por el tabardo 5 (Engranes)",
vote06 = "Votaste por el tabardo 6 (\195\129guila doble)",
vote07 = "Votaste por el tabardo 7 (Rel\195\161mpagos)",
vote08 = "Votaste por el tabardo 8 (Bobina de Tesla)",
vote09 = "Votaste por el tabardo 9 (Sol Naciente)",
vote10 = "Votaste por el tabardo 10 (Barco de Vela Doble)",
vote11 = "Votaste por el tabardo 11 (Drag\195\179n Doble)",
vote12 = "Votaste por el tabardo 12 (Bracero)",

}

MalVars.AchTxt = {
a1a = "Expertos en Decodificaci\195\179n",
a1b = "Han elegido el tabardo correcto en el primer intento.",

--Reverted for 4.1
--a2a = "Deberes",
--a2b = "Han descubierto que este juego tiene deberes.",

a2a = "Acciones Arom\195\161ticas",
a2b = "\194\161Han dado a " .. MalVars.nCal .. " su comida favorita!",

a3a = "Acciones Sucias",
a3b = "Brincar dentro del pozo es realmente una acci\195\179n sucia.",

a4a = "Locura de Escorbuto",
a4b = "Alquien bebi\195\179 el Elixir de los Bajos Fondos.",

a5a = "Bono Hara-kiri",
a5b = "Toda la tripulaci\195\179n... ha muerto.",

a6a = "Francotirador",
a6b = "Realmente han usado sus cabezas.",

a7a = "Limpieza de Popa",
a7b = "\194\161Han limpiado a todos esos Maleantes r\195\161pidamente!",

a8a = "Compa\195\177\195\173a de Comedia",
a8b = "Su grupo se gana el premio por graciosos.",

a9a = "Todos Juntos",
a9b = "\194\161Trabajaron juntos de maravilla!",

p1 = "Promovido a ayudante",

p2 = "Promovido a grumete",

p3 = "Promovido a marinero",

p4 = "Promovido a Bucanero",

p5 = "Promovido a Picaroon",
}





