--localization file, which will replace only the things that differ between language clients
--in other words, since this will always have Spanish output, only the system/chat input variables need localizing
	--small a with accent: c3 a1 = 			\195\161
	--small e with accent: c3 a9 = 			\195\169
	--small i with accent: c3 ad = 			\195\173
	--small o with accent: c3 b3 = 			\195\179
	--small u with accent: c3 ba = 			\195\186
	--Capital a with accent: c3 81 =		\195\129
	--Capital e with accent: c3 89 =		\195\137
	--Capital i with accent: c3 8d =		\195\141
	--Capital o with accent: c3 93 =		\195\147
	--Capital u with accent: c3 9a =		\195\154
	--Tilde n: c3 b1 =						\195\177
	--inverted exclamation point: c2 a1 = 	\194\161
	--inverted question mark: c2 bf = 		\194\191
	--if need caps or other characters, see http://www.utf8-chartable.de/

if GetLocale() == "esES" then
	if not MalVars then
		MalVars = {};
	end
	--System messages
	MalVars["You flex"] = "Sacas m\195\186sculos";
	MalVars["flexes"] = "saca m\195\186sculos";
	MalVars["roars with bestial vigor at you"] = "ruge con energ\195\173a ante ti";

	--Zone names
	MalVars.Zones = {}
	MalVars.Zones.crystalsongforest = "Bosque Canto de Cristal";
	MalVars.Zones.ENcrystalsongforest = "Crystalsong Forest";
	MalVars.Zones.violetstand = "El Conf\195\173n Violeta";
	MalVars.Zones.ENvioletstand = "Violet Stand";
	MalVars.Zones.violetportal = "La Puerta Violeta";
	MalVars.Zones.ENvioletportal = "The Violet Portal";
	MalVars.Zones.runeweaversquare = "Plaza Tejerruna";
	MalVars.Zones.ENruneweaversquare = "Runeweaver Square";
	MalVars.Zones.legerdemainlounge = "Sal\195\179n Juego de Manos";
	MalVars.Zones.ENlegerdemainlounge = "The Legerdemain Lounge";
	MalVars.Zones.wonderworks = "Obras Asombrosas";
	MalVars.Zones.ENwonderworks = "The Wonderworks";
	MalVars.Zones.threadsoffate = "Los Hilos del Destino";
	MalVars.Zones.ENthreadsoffate = "The Threads of Fate";
	MalVars.Zones.magescommerceexchange = "Mercado de Magos";
	MalVars.Zones.ENmagescommerceexchange = "Magus Commerce Exchange";
	MalVars.Zones.forgeoffate = "Forja del Destino";
	MalVars.Zones.ENforgeoffate = "Forge of Fate";
	MalVars.Zones.allthatglitters = "Prospecciones Todo lo que brilla y C\195\173a";
	MalVars.Zones.ENallthatglitters = "All That Glitters Prospecting Company";
	MalVars.Zones.violetcitadel = "La Ciudadela Violeta";
	MalVars.Zones.ENvioletcitadel = "The Violet Citadel";
	MalVars.Zones.purpleparlor = "El Sal\195\179n P\195\186rpura";
	MalVars.Zones.ENpurpleparlor = "The Purple Parlor";
	MalVars.Zones.underbelly = "Los Bajos Fondos";
	MalVars.Zones.ENunderbelly = "The Underbelly";
	MalVars.Zones.circleofwills = "C\195\173rculo de Voluntades";
	MalVars.Zones.ENcircleofwills = "Circle of Wills";
	MalVars.Zones.blackmarket = "El Mercado Negro";
	MalVars.Zones.ENblackmarket = "The Black Market";
	MalVars.Zones.dalaran = "Dalaran";
	MalVars.Zones.ENdalaran = "Dalaran";
	MalVars.Zones.forlornwoods = "El Bosque Desolado";
	MalVars.Zones.ENforlornwoods = "The Forlorn Woods";
	MalVars.Zones.twilightrivulet = "El Riachuelo Crepuscular";
	MalVars.Zones.ENtwilightrivulet = "The Twilight Rivulet";
	MalVars.Zones.cantripsandcrows = "Taberna de los Cuervos";
	MalVars.Zones.ENcantripsandcrows = "Cantrips & Crows";

	--Critter names
	MalVars.Critters = {}
	MalVars.Critters.rabbit = "Conejo";
	MalVars.Critters.squirrel = "Ardilla";
	MalVars.Critters.sewerfrog = "Rana de cloaca";
	MalVars.Critters.underbellyrat = "Rata de Los Bajos Fondos";

	--Chat channel names
	MalVars.Channels = {}
	MalVars.Channels.trade = "Comercio";
	MalVars.Channels.lfg = "BuscarGrupo";
	MalVars.Channels.general = "General";
	MalVars.Channels.localdefense = "DefensaLocal";

end;
